"""
Django settings for repositorio project.

Generated by 'django-admin startproject' using Django 2.0.2.

For more information on this file, see
https://docs.djangoproject.com/en/2.0/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.0/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.0/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '*+nph7!2mp)@4j1r*oktlc^c^(6c5!*v9#lpcp$3)484!kx8xm'

# SECURITY WARNING: don't run with debug turned on in production!

# Developement
#DEBUG = True

#ALLOWED_HOSTS = []

# Production
DEBUG = False

ALLOWED_HOSTS = [
    '.repositorio.ricardobergamo.com',
    '.repositorio.ricardobergamo.com.',
]

# Application definition

INSTALLED_APPS = [
    'jet',
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'import_export',
    'glass',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'repositorio.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'repositorio.wsgi.application'


# Database
# https://docs.djangoproject.com/en/2.0/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'data', 'repositorio.db'),
    }
}

# Password validation
# https://docs.djangoproject.com/en/2.0/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]

# Internationalization
# https://docs.djangoproject.com/en/2.0/topics/i18n/

LANGUAGE_CODE = 'pt-br'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.0/howto/static-files/

STATIC_URL = '/static/'
STATIC_ROOT = os.path.join(BASE_DIR, 'static/')

# Jet configuration

JET_DEFAULT_THEME = 'light-gray'
JET_SIDE_MENU_COMPACT = True
JET_CHANGE_FORM_SIBLING_LINKS = True
JET_SIDE_MENU_ITEMS = [
    {'label': 'GLASS :: Antibiótico', 'items': [
        {'name': 'glass.antibiotico', 'label': 'Antibióticos'},
        {'name': 'glass.antibioticogrupo', 'label': 'Grupos'},
        {'name': 'glass.antibioticosubgrupo', 'label': 'Sub-Grupos'},
    ]},
    {'label': 'GLASS :: Catálogos', 'items': [
        {'name': 'glass.ceparm', 'label': 'Cepas RM'},
        {'name': 'glass.cepatsa', 'label': 'Cepas TSA'},
        {'name': 'glass.gene', 'label': 'Genes'},
        {'name': 'glass.material', 'label': 'Materiais'},
        {'name': 'glass.metodo', 'label': 'Métodos'},
        {'name': 'glass.teste', 'label': 'Testes'},
        {'name': 'glass.vinculo', 'label': 'Vínculos'},
    ]},
    {'label': 'GLASS :: Microrganismo', 'items': [
        {'name': 'glass.microrganismo', 'label': 'Microrganismos'},
        {'name': 'glass.microrganismogrupo', 'label': 'Grupos'},
        {'name': 'glass.microrganismoclasse', 'label': 'Classes'},
    ]},
    {'label': 'GLASS :: Normas', 'items': [
        {'name': 'glass.normaacreditacao', 'label': 'Acreditação'},
        {'name': 'glass.normaqualidade', 'label': 'Qualidade'},
        {'name': 'glass.normatsa', 'label': 'Interpretação TSA'},
    ]},
    {'label': 'GLASS :: Registros', 'items': [
        {'name': 'glass.estabelecimento', 'label': 'Estabelecimentos'},
    ]},
    {'label': 'Repositório :: Sistema', 'items': [
        {'name': 'auth.user'},
        {'name': 'auth.group'},
    ]},
]
